%define pkgmajver %(echo %version | cut -d. -f1-3)
%define pkgminver %(echo %version | cut -d. -f4)
Name:          phasis
Version:       0.9.8.2
Release:       %mkrel 2
Summary:       An Open Source management software for Italian small enterprises
Group:         Office
URL:           http://www.phasis.it
Source:        http://phasis.googlecode.com/files/phasis-%{pkgmajver}-%{pkgminver}.tar.xz
Source1:       phasis-mime-packages.xml
Source2:       phasis-mime-info.keys
Source3:       phasis-mime-info.mime
Source4:       phasis-desktop
License:       GPL
Requires:      python
Requires:      python-imaging
Requires:      wxPythonGTK
Requires:      python-sqlite2
Requires:      python-reportlab
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
BuildArch:     noarch

%description
An Open Source management software for Italian small enterprises.

%prep
%setup -q -n %{name}-%{pkgmajver}-%{pkgminver}

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d %{buildroot}/opt/phasis
cp -a * %{buildroot}/opt/phasis
rm -rf %{buildroot}/opt/phasis/desktop

install -D -m0755 desktop/phasis %{buildroot}%{_bindir}/phasis
install -D -m0644 images/phasis.png %{buildroot}%{_datadir}/pixmaps/phasis.png
install -D -m0644 %{SOURCE1} %{buildroot}%{_datadir}/mime/packages/phasis.xml
install -D -m0644 %{SOURCE2} %{buildroot}%{_datadir}/mime-info/phasis.keys
install -D -m0644 %{SOURCE3} %{buildroot}%{_datadir}/mime-info/phasis.mime
install -D -m0644 %{SOURCE4} %{buildroot}%{_datadir}/applications/Phasis.desktop

rm %{buildroot}/opt/phasis/{AUTHORS,COPYING,LICENSE,README}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/phasis
%{_datadir}/applications/Phasis.desktop
%{_datadir}/mime-info/phasis.keys
%{_datadir}/mime-info/phasis.mime
%{_datadir}/mime/packages/phasis.xml
%{_datadir}/pixmaps/phasis.png
%dir /opt/phasis
%attr(775,root,users) %dir /opt/phasis/data
%attr(775,root,users) %dir /opt/phasis/logs
%attr(775,root,users) %dir /opt/phasis/spool
%attr(775,root,users) %dir /opt/phasis/tmp
%attr(664,root,users) %config(noreplace) /opt/phasis/default.cfg
/opt/phasis/*.py
/opt/phasis/phasis.url
/opt/phasis/manuale-utente.pdf
/opt/phasis/logs/__init__.py
/opt/phasis/spool/__init__.py
/opt/phasis/tmp/__init__.py
%dir /opt/phasis/i18n
/opt/phasis/i18n/*
%dir /opt/phasis/images
/opt/phasis/images/*
%dir /opt/phasis/phasis
/opt/phasis/phasis/*

%doc AUTHORS COPYING LICENSE README

%changelog
* Fri Dec 23 2016 adrianomorselli <adrianomorselli> 0.9.8.2-3uplos2016
- rebuild

* Fri Sep 02 2016 bb <bb> 0.9.8.2-3pclos2016
- rebuild new wxpython

* Tue Mar 15 2016 bb <bb> 0.9.8.2-2pclos2016
- fix rpm group

* Tue Sep 17 2013 pinoc <vogtpet at gmail.com> 0.9.8.2-1pclos2013
- imported package
